ReadOnlyIntegerWrapper (JavaFX 17)

Module javafx.base
Package javafx.beans.property

## Class ReadOnlyIntegerWrapper

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.IntegerExpression
    - - javafx.beans.property.ReadOnlyIntegerProperty
      - - javafx.beans.property.IntegerProperty
        - - javafx.beans.property.IntegerPropertyBase
          - - javafx.beans.property.SimpleIntegerProperty
            - - javafx.beans.property.ReadOnlyIntegerWrapper

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableIntegerValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableIntegerValue`, `WritableNumberValue`, `WritableValue<Number>`

      public class ReadOnlyIntegerWrapper
      extends SimpleIntegerProperty

  This class provides a convenient class to define read-only properties. It creates two properties that are synchronized. One property is read-only and can be passed to external users. The other property is read- and writable and should be used internally only.
  Since:
    JavaFX 2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyIntegerWrapper()` | The constructor of `ReadOnlyIntegerWrapper`
    `ReadOnlyIntegerWrapper​(int initialValue)` | The constructor of `ReadOnlyIntegerWrapper`
    `ReadOnlyIntegerWrapper​(Object bean, String name)` | The constructor of `ReadOnlyIntegerWrapper`
    `ReadOnlyIntegerWrapper​(Object bean, String name, int initialValue)` | The constructor of `ReadOnlyIntegerWrapper`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReadOnlyIntegerProperty` | `getReadOnlyProperty()` | Returns the readonly property, that is synchronized with this `ReadOnlyIntegerWrapper`.

    - ### Methods declared in class javafx.beans.property.IntegerPropertyBase

      `fireValueChangedEvent, invalidated, toString`

    - ### Methods declared in class javafx.beans.property.IntegerProperty

      `asObject, integerProperty`

    - ### Methods declared in class javafx.beans.property.ReadOnlyIntegerProperty

      `readOnlyIntegerProperty`

    - ### Methods declared in class javafx.beans.binding.IntegerExpression

      `integerExpression, integerExpression`

    - ### Methods declared in class javafx.beans.binding.NumberExpressionBase

      `numberExpression`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javafx.beans.binding.NumberExpression

      `add, add, add, add, add, asString, asString, asString, divide, divide, divide, divide, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableIntegerValue

      `get`

    - ### Methods declared in interface javafx.beans.value.ObservableNumberValue

      `doubleValue, floatValue, intValue, longValue`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface javafx.beans.value.WritableIntegerValue

      `get, set, setValue`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### ReadOnlyIntegerWrapper

          public ReadOnlyIntegerWrapper()

      The constructor of `ReadOnlyIntegerWrapper`

    - #### ReadOnlyIntegerWrapper

          public ReadOnlyIntegerWrapper​(int initialValue)

      The constructor of `ReadOnlyIntegerWrapper`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### ReadOnlyIntegerWrapper

          public ReadOnlyIntegerWrapper​(Object bean,
                                        String name)

      The constructor of `ReadOnlyIntegerWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlyIntegerProperty`
        `name` - the name of this `ReadOnlyIntegerProperty`

    - #### ReadOnlyIntegerWrapper

          public ReadOnlyIntegerWrapper​(Object bean,
                                        String name,
                                        int initialValue)

      The constructor of `ReadOnlyIntegerWrapper`
      Parameters:
        `bean` - the bean of this `ReadOnlyIntegerProperty`
        `name` - the name of this `ReadOnlyIntegerProperty`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getReadOnlyProperty

          public ReadOnlyIntegerProperty getReadOnlyProperty()

      Returns the readonly property, that is synchronized with this `ReadOnlyIntegerWrapper`.
      Returns:
        the readonly property